Appearance
PATCH
/web-pages/draft/drafts/{draftId}/categories/{categoryId}Required scope:
viskan:draft:updateUpdates a category by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
categoryId string Format:
uuidIdentifier of the category. Categories form a hierarchical tree structure that organizes pages.
Request body
JSON
{
"categoryName": "Start Page",
"hidden": false,
"indexed": true,
"protectionLevel": "NONE",
"protectionFallbackCategoryId": "0ee32a6e-0c4d-4f7b-bd89-f21ddad81135",
"parentCategoryId": "0118434c-9053-4d78-a9b5-06966052f5dd",
"siblingCategoryId": "3edd0eea-9a63-4305-95d8-b281c71ce243",
"treePlacement": [
{
"categoryTreeId": "6b2a2871-f20d-4fa0-895e-e3c41976db7a",
"parentCategoryTreeId": "fb840e50-8a8b-477c-a3c8-fffe2bf97e1c",
"siblingCategoryTreeId": "123e4567-e89b-12d3-a456-426614174000"
}
],
"action": "REMOVE"
}
Response
Category successfully updated.
| Error code | Description |
|---|---|
web-pages.update-category.cannot-remove-system-category | A system category cannot be removed. |
web-pages.update-category.category-for-removal-not-found | Category for removal not found. |
web-pages.update-category.category-in-use | Category that is used by a page cannot be removed. |
web-pages.update-category.category-name-blank | Category name cannot be blank. |
web-pages.update-category.category-name-too-long | Category name cannot exceed 30 characters. |
web-pages.update-category.category-not-found | Category not found. |
web-pages.update-category.circular-dependency | Circular dependency detected. |
web-pages.update-category.draft-not-found | Draft not found. |
web-pages.update-category.fallback-category-circular-dependency | Protection fallback category cannot be the same as the category being updated. |
web-pages.update-category.fallback-category-not-found | Protection fallback category not found in the category tree. |
web-pages.update-category.fallback-category-without-protection | Cannot set a protection fallback category when the protection level is NONE. |
web-pages.update-category.invalid-uuid | The provided string is not a valid UUID. |
web-pages.update-category.own-sibling | A category cannot be its own sibling. |
web-pages.update-category.parent-category-not-found | Parent category not found. |
web-pages.update-category.parent-category-removed | Parent category has been removed. |
web-pages.update-category.protection-none-with-existing-fallback | Cannot set protection level to NONE when a protection fallback category is assigned. |
web-pages.update-category.sibling-category-does-not-have-same-parent | Sibling category does not have the same parent. |
web-pages.update-category.sibling-category-not-found | Sibling category not found. |
web-pages.update-category.sibling-category-removed | Sibling category has been removed. |